Net::LDAP::LdapError is deprecated

2017-02-01 12:12 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

reference

http://www.rubydoc.info/gems/net-ldap/Net/LDAP/LdapError

Deprecation warning: Net::LDAP::LdapError is no longer used

please use

Net::LDAP::Error

http://www.rubydoc.info/gems/net-ldap/Net/LDAP/Error

class AuthSourceLdap < AuthSource

  NETWORK_EXCEPTIONS = [

    Net::LDAP::LdapError,

    Errno::ECONNABORTED, Errno::ECONNREFUSED, Errno::ECONNRESET,

    Errno::EHOSTDOWN, Errno::EHOSTUNREACH,

    SocketError

  ]

Related issues:

Related to Redmine - Defect #29476: Update net-ldap to 0.16.0 Closed

Related to Redmine - Patch #29606: Support self-signed LDAPS connections Closed

Related to Redmine - Defect #8068: LDAP Authentificaton doesn't verify certif... Closed 2011-04-05

Associated revisions

Revision 16322 - 2017-02-02 03:24 - Toshi MARUYAMA

replace depricated Net::LDAP::LdapError by Net::LDAP::Error (#24970)

Revision 16323 - 2017-02-02 04:01 - Toshi MARUYAMA

revert r16322 (#24970)

Some tests fail.

Revision 16773 - 2017-07-08 15:46 - Jean-Philippe Lang

LdapError is deprecated (#24970).

History

#1 - 2017-02-01 13:11 - Go MAEDA

- Target version set to 3.4.0

From net-ldap-0.12.1/lib/net/ldap/error.rb:

class Net::LDAP

  class LdapError < StandardError

    def message

      

"Deprecation warning: Net::LDAP::LdapError is no longer used. Use Net::LDAP::Error or rescue one of it's subcl

asses. \n" + super

    end

  end

  class Error < StandardError; end
#2 - 2017-02-02 04:00 - Toshi MARUYAMA

- Target version changed from 3.4.0 to 4.1.0

#3 - 2017-02-02 10:39 - Mischa The Evil

- Subject changed from Net::LDAP::LdapError is depricated to Net::LDAP::LdapError is deprecated

#4 - 2017-07-08 15:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

net-ldap updated to 0.16.

#5 - 2017-07-08 18:36 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0

#6 - 2018-09-02 17:55 - Marius BĂLTEANU

- Related to Defect #29476: Update net-ldap to 0.16.0 added

#7 - 2018-09-13 15:58 - Holger Just

- Related to Patch #29606: Support self-signed LDAPS connections added

#8 - 2018-09-16 02:36 - Go MAEDA

- Related to Defect #8068: LDAP Authentificaton doesn't verify certificate validity added
